Bug 543917 - Review Request: check_postgres - PostgreSQL monitoring script
Summary: Review Request: check_postgres - PostgreSQL monitoring script
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Nalley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-03 14:04 UTC by Devrim Gündüz
Modified: 2010-03-24 18:01 UTC (History)
5 users (show)

Fixed In Version: check_postgres-2.14.2-1.el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-10 06:44:33 UTC
david: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Devrim Gündüz 2009-12-03 14:04:36 UTC
Spec URL: https://projects.commandprompt.com/public/pgcore/repo/rpm/redhat/8.5/check_postgres/F-12/check_postgres.spec

SRPM URL: http://yum.pgsqlrpms.org/srpms/8.4/fedora/fedora-12-i386/check_postgres-2.12.0-1.f12.src.rpm

Description: check_postgres.pl is a script for checking the state of one or more Postgres databases and reporting back in a Nagios-friendly manner

Comment 1 Fabian Affolter 2009-12-21 11:34:41 UTC
Just some quick comment on your spec file.

- Upstream is providing a tarball.  Is there a reason that you don't use this tarball as a source?
- Please preserve the timestamps during install.
  https://fedoraproject.org/wiki/Packaging:Guidelines#Timestamps

Comment 3 David Nalley 2010-02-27 00:02:13 UTC
One problem below. 
Also - you still need to fix your install and copy files to honor timestamps as noted by fabian and listed here: 
https://fedoraproject.org/wiki/Packaging:Guidelines#Timestamps



OK: rpmlint must be run on every package. The output should be posted in the review.
[ke4qqq@nalleyx60 SPECS]$ rpmlint ../SRPMS/check_postgres-2.13.0-1.fc12.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyx60 SPECS]$ rpmlint ../RPMS/noarch/check_postgres-2.13.0-1.fc12.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyx60 SPECS]$ rpmlint ./check_postgres.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
OK: The package must meet the Packaging Guidelines
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license.
source code says BSD - which spec files match. 
NA: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
Sortafix: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

No source rpm to really compare for the latest version. 

OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Na: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
NA: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
OK: Packages must NOT bundle copies of system libraries.
NA: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. 
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
NA: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
NA: Header files must be in a -devel package. 
NA: Static libraries must be in a -static package. 
NA: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). 
NA: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. 
NA: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
NA: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
NA: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 
MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
OK: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK: All filenames in rpm packages must be valid UTF-8.

Comment 4 Devrim Gündüz 2010-02-28 10:17:25 UTC
Thanks for the review. Here is the updated spec and SRPM:

SRPM: http://www.pgrpms.org/srpms/9.0/fedora/fedora-12-i386/check_postgres-2.14.2-1.f12.src.rpm

Spec: http://www.pgrpms.org/check_postgres.spec

Regards, Devrim

Comment 5 David Nalley 2010-03-01 01:55:33 UTC
Upstream source matches 
[ke4qqq@nalleyx60 SOURCES]$ md5sum check_postgres-2.14.2.tar.gz*
c632f1f8f1d228d5dc2f88bdc52437a9  check_postgres-2.14.2.tar.gz
c632f1f8f1d228d5dc2f88bdc52437a9  check_postgres-2.14.2.tar.gz.1

You fixed the permissions issues noted above 


One other comment - that isn't guidelines related you require postgresql-server. Yet this nagios plugin can be run against a remote server, so that only postgresql would be required (at least that's my very hasty reading of it.). Requiring postgtresql-server seems a bit heavy (particularly if you wanted a central nagios system to monitor multiple pg boxes rather than installing this plugin on each box and calling it from the remote box. Again - it isn't a blocker, and not really guidelines related - just thought I'd toss it out there, based on how I'd plan to use it. 


Approved

Thanks Devrim!

Comment 6 Devrim Gündüz 2010-03-01 06:44:01 UTC
Hi David,

Ok, I'll remove postgresql-server requirement before final push. I totally agree with you in here.

Thanks for the review, again.

Regards, Devrim

Comment 7 Devrim Gündüz 2010-03-01 06:47:09 UTC
New Package CVS Request
=======================
Package Name: check_postgres
Short Description: PostgreSQL monitoring script
Owners: devrim@gunduz.org
Branches: EL-5 EL-4 F-11 F-12

Comment 8 Devrim Gündüz 2010-03-01 06:50:20 UTC
Oops:
Owners: devrim

Comment 9 Jason Tibbitts 2010-03-01 16:55:41 UTC
This ticket is not assigned to anyone.  Please fix and re-set the fedora-cvs
flag when that's been taken care of.

Comment 10 Devrim Gündüz 2010-03-01 18:52:47 UTC
Done.

New Package CVS Request
=======================
Package Name: check_postgres
Short Description: PostgreSQL monitoring script
Owners: devrim
Branches: EL-5 EL-4 F-11 F-12

Comment 11 Jason Tibbitts 2010-03-02 02:14:34 UTC
CVS done (by process-cvs-requests.py).

I added an F-13 branch as that seems to have been missed.

Comment 12 Fedora Update System 2010-03-08 11:53:34 UTC
check_postgres-2.14.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/check_postgres-2.14.2-1.fc11

Comment 13 Fedora Update System 2010-03-08 11:53:41 UTC
check_postgres-2.14.2-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/check_postgres-2.14.2-1.el5

Comment 14 Fedora Update System 2010-03-08 11:53:46 UTC
check_postgres-2.14.2-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/check_postgres-2.14.2-1.fc12

Comment 15 Fedora Update System 2010-03-08 11:53:51 UTC
check_postgres-2.14.2-1.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/check_postgres-2.14.2-1.el4

Comment 16 Fedora Update System 2010-03-08 11:53:55 UTC
check_postgres-2.14.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/check_postgres-2.14.2-1.fc13

Comment 17 Fedora Update System 2010-03-08 20:22:25 UTC
check_postgres-2.14.2-1.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update check_postgres'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/check_postgres-2.14.2-1.el4

Comment 18 Fedora Update System 2010-03-08 20:22:31 UTC
check_postgres-2.14.2-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update check_postgres'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/check_postgres-2.14.2-1.el5

Comment 19 Fedora Update System 2010-03-10 06:44:27 UTC
check_postgres-2.14.2-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2010-03-10 06:51:00 UTC
check_postgres-2.14.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2010-03-10 06:51:11 UTC
check_postgres-2.14.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Xavier Bachelot 2010-03-10 11:30:49 UTC
probably a bit late into the game, but shouldn't have this package be named nagios-plugins-postgres for consistency with the other nagios plugins ?

Comment 23 Devrim Gündüz 2010-03-10 11:38:13 UTC
(In reply to comment #22)
> probably a bit late into the game, but shouldn't have this package be named
> nagios-plugins-postgres for consistency with the other nagios plugins ?    

This is not a nagios-only package. It can also be used for MRTG, etc.

Comment 24 Xavier Bachelot 2010-03-10 12:54:59 UTC
ok, forget about my comment then.

Comment 25 Fedora Update System 2010-03-24 17:58:59 UTC
check_postgres-2.14.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2010-03-24 18:01:40 UTC
check_postgres-2.14.2-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.